Open CASCADE Technology: IGESGraph_Array1OfTextFontDef Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESGraph_Array1OfTextFontDef Class Reference

`#include <IGESGraph_Array1OfTextFontDef.hxx>`

## Public Member Functions
| IGESGraph_Array1OfTextFontDef (const Standard_Integer Low, const Standard_Integer Up)
| IGESGraph_Array1OfTextFontDef (const Handle< IGESGraph_TextFontDef > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< IGESGraph_TextFontDef > &V)
void | Destroy ()
| ~IGESGraph_Array1OfTextFontDef ()
Standard_Boolean | IsAllocated () const
const IGESGraph_Array1OfTextFontDef & | Assign (const IGESGraph_Array1OfTextFontDef &Other)
const IGESGraph_Array1OfTextFontDef & | operator= (const IGESGraph_Array1OfTextFontDef &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< IGESGraph_TextFontDef > &Value)
const Handle< IGESGraph_TextFontDef > & | Value (const Standard_Integer Index) const
const Handle< IGESGraph_TextFontDef > & | operator() (const Standard_Integer Index) const
Handle< IGESGraph_TextFontDef > & | ChangeValue (const Standard_Integer Index)
Handle< IGESGraph_TextFontDef > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

IGESGraph_Array1OfTextFontDef::IGESGraph_Array1OfTextFontDef | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

IGESGraph_Array1OfTextFontDef::IGESGraph_Array1OfTextFontDef | ( | const Handle< IGESGraph_TextFontDef > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

IGESGraph_Array1OfTextFontDef::~IGESGraph_Array1OfTextFontDef | ( |  | ) |
| inline

## Member Function Documentation

const IGESGraph_Array1OfTextFontDef& IGESGraph_Array1OfTextFontDef::Assign | ( | const IGESGraph_Array1OfTextFontDef & | Other | ) |

Handle< IGESGraph_TextFontDef >& IGESGraph_Array1OfTextFontDef::ChangeValue | ( | const Standard_Integer | Index | ) |

void IGESGraph_Array1OfTextFontDef::Destroy | ( |  | ) |

void IGESGraph_Array1OfTextFontDef::Init | ( | const Handle< IGESGraph_TextFontDef > & | V | ) |

Standard_Boolean IGESGraph_Array1OfTextFontDef::IsAllocated | ( |  | ) | const

Standard_Integer IGESGraph_Array1OfTextFontDef::Length | ( |  | ) | const

Standard_Integer IGESGraph_Array1OfTextFontDef::Lower | ( |  | ) | const

const Handle< IGESGraph_TextFontDef >& IGESGraph_Array1OfTextFontDef::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< IGESGraph_TextFontDef >& IGESGraph_Array1OfTextFontDef::operator() | ( | const Standard_Integer | Index | ) |
| inline

const IGESGraph_Array1OfTextFontDef& IGESGraph_Array1OfTextFontDef::operator= | ( | const IGESGraph_Array1OfTextFontDef & | Other | ) |
| inline

void IGESGraph_Array1OfTextFontDef::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< IGESGraph_TextFontDef > & | Value
| ) |  |

Standard_Integer IGESGraph_Array1OfTextFontDef::Upper | ( |  | ) | const

const Handle< IGESGraph_TextFontDef >& IGESGraph_Array1OfTextFontDef::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- IGESGraph_Array1OfTextFontDef.hxx